%%%==============================================================================
%% Copyright 2022 by Alceu Frigeri
%%
%%
%% This work may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3c
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%   http://www.latex-project.org/lppl.txt
%% and version 1.3 or later is part of all distributions of LaTeX
%% version 2005/12/01 or later.
%%
%% This work has the LPPL maintenance status "maintained".
%% 
%% The Current Maintainer of this work is Alceu Frigeri
%%
%% This is version 1.0beta (2022/09/01)
%%
%%
%% This work consists of the files 
%%
%% democodelisting.sty          set of macros to typeset and demonstrate LaTeX code
%% democodetools.sty            set of macros to document LaTeX packages
%%
%% README.md (this file)        quick introduction
%%
%% democode.tex                 LaTeX documentation
%% democode.pdf                 documentation in PDF form
%%
%%%==============================================================================

This is 'yet another doc/docx/doc3' package for LaTeX code documetation (and demonstration). 
It is designed to be 'as class independent as possible', 
meaning: it makes no assumption about page layout (besides 'having a marginpar') or underline macros. 
Furthermore, it's assumed that \maketitle and the abstract environment 
were modified by the underline class, so alternatives (based on the article class) are provided. 

For more details, see the documentation, democodetools.pdf (source code: democodetools.tex)

The main idea is to be able to document  a package/class loading it first and then this package, 
making it possible not only to document the 'syntax' 
but also to show the end result 'as is' when using that other specific class/package.
